﻿<div class="col-xs-12 col-md-3">
    <section class="app__section">
        <div class="app__section__header">
           ثبت کارکرد جدید
        </div>
        <div class="app__section__body">
            <div class="row">
                <div class="col-xs-12 col-md-6">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            انتخاب مشترک
                        </label>
                        <div id="addCustomerParent">
                            @Html.Action("AddFormCustomerCombo")
                        </div>
                        <div id="addCustomerError"
                             class="app__form-error app__hide">
                            مشترک انتخاب  نشده است
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 col-md-6">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            انتخاب مغازه
                        </label>
                        <div id="addCustomerShopParent">
                            @Html.Action("AddFormCustomerShopCombo")
                        </div>
                        <div id="addCustomerShopError"
                             class="app__form-error app__hide">
                            مشترک انتخاب  نشده است
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">

                <div class="col-xs-12 col-md-6">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            تاریخ
                        </label>
                        <input type="text" class="app__form-datepicker"
                               id="addFormStartDatePicker"
                               placeholder="تاریخ شروع"
                               data-mddatetimepicker="true"
                               data-englishnumber="true"
                               data-targetdateselector="#addFormStartDatePicker" />
                        <div class="app__form-error app__hide" id="addFormStartDatePickerError">
                            فرمت تاریخ شروع معتبر نمی باشد
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 col-md-6">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            شماره کیلو وات
                        </label>
                        <div id="addStartUsageParent">
                            @Html.DevExpress().TextBox(settings =>
                            {
                                settings.Name = "StartUsageTXT";
                                settings.Properties.NullText = "شماره کیلو وات را وارد کنید";
                            }).GetHtml()
                        </div>
                        <div id="addStartUsageError"
                             class="app__form-error app__hide">
                            شماره کیلو وات  وارد نشده است
                        </div>
                    </div>
                </div>

            </div>
            <div class="row">
                <div class="col-xs-12 col-md-6">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            تاریخ
                        </label>
                        <input type="text" class="app__form-datepicker"
                               id="addFormEndDatePicker"
                               placeholder="تاریخ قرائت کنتور"
                               data-mddatetimepicker="true"
                               data-englishnumber="true"
                               data-targetdateselector="#addFormEndDatePicker" />
                        <div class="app__form-error app__hide" id="addFormEndDatePickerError">
                            فرمت تاریخ پایان معتبر نمی باشد
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 col-md-6">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            شماره کیلو وات
                        </label>
                        <div id="addEndUsageParent">
                            @Html.DevExpress().TextBox(settings =>
                            {
                                settings.Name = "EndUsageTXT";
                                settings.Properties.NullText = "شماره کیلو وات را وارد کنید";
                            }).GetHtml()

                        </div>
                        <div id="addEndUsagerror"
                             class="app__form-error app__hide">
                            شماره کیلو وات  وارد نشده است
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">

                <div class="col-xs-12">
                    <div class="app__form-item app__form-item--action">
                        @Html.DevExpress().Button(settings =>
                        {
                            settings.Name = "addFormSaveBtn";
                            settings.Text = "ثبت کار کرد";
                            settings.UseSubmitBehavior = false;
                            settings.EnableClientSideAPI = true;
                            settings.Styles.CssPostfix = "filter-form__btn";
                            settings.ClientSideEvents.Click =
                                "motorsazanClient.usage.addUsage";
                        }).GetHtml()
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>